from armarx_setup import PACKAGE_ROOT, RELEASE_CHANNEL_STABLE
from armarx_setup.core.module import Module
from armarx_setup.core.module.update.git import H2TGitLab


axii_remote_repo = H2TGitLab(slug="sw/armarx/meta/axii")


class AxiiMockModule(Module):
    """Mock module of Axii itself.

    Intended for use in several commands, such as interacting with Git repositories etc.
    """

    class Ctx:
        def __init__(self):
            self.path = PACKAGE_ROOT

    class General:
        def __init__(self, ctx):
            self.ctx = ctx
            self.url = axii_remote_repo.home_url()

    class Git:
        def __init__(self, ctx):
            self.ctx = ctx
            self.code_hoster = axii_remote_repo
            self.ssh_url = axii_remote_repo.ssh_clone_url()
            self.https_url = axii_remote_repo.https_clone_url()
            self.default_checkout_ref = RELEASE_CHANNEL_STABLE

    class Update:
        def __init__(self, ctx):
            self.ctx = ctx
            self.git = AxiiMockModule.Git(ctx=self.ctx)

    def __init__(self):
        self.name = "Axii"
        self.ctx = self.Ctx()
        self.general = self.General(ctx=self.ctx)
        self.update = self.Update(ctx=self.ctx)


axii_module = AxiiMockModule()
