# - Try to find difflib
# Once done this will define
#
#  difflib_FOUND - difflib found
#  difflib_INCLUDE_DIR - the difflib include directory
#  difflib_LIBRARIES - difflib library
#

if(NOT "$ENV{difflib_DIR}" EQUAL "")
    set(difflib_DIR $ENV{difflib_DIR} CACHE PATH "Path to difflib" FORCE)
endif()

set(HEADER_SEARCH_PATHS
    ${difflib_DIR}
    ${difflib_DIR}/../src/
    ${difflib_DIR}/include/
    ${difflib_DIR}/include/difflib/
    ${difflib_DIR}/../difflib/         #if difflib_DIR points to build
    ENV CPATH
    /usr/include/
    /usr/include/difflib/
    /usr/include/
    /usr/local/include/difflib/
    /opt/local/include/difflib/
)

# if difflib is used from build, all headers are scattered around
# find all of them and add them to difflib_INCLUDE_DIR
find_path(difflib_INCLUDE_DIR NAMES difflib.h PATHS ${HEADER_SEARCH_PATHS} NO_DEFAULT_PATH)

include(FindPackageHandleStandardArgs)
# handle the QUIETLY and REQUIRED arguments and set OODL_YOUBOT_FOUND to TRUE
# if all listed variables are TRUE
find_package_handle_standard_args(difflib DEFAULT_MSG
                                  difflib_INCLUDE_DIR)

# show the difflib_INCLUDE_DIR and difflib_LIBRARY_DIR variables only in the advanced view
MARK_AS_ADVANCED(difflib_INCLUDE_DIR difflib_LIBRARIES)


if (NOT TARGET difflib::difflib)
  add_library(difflib::difflib INTERFACE IMPORTED)

  set_target_properties(difflib::difflib
      PROPERTIES
          IMPORTED_LINK_INTERFACE_LANGUAGES "CXX"
          IMPORTED_LOCATION "${difflib_INCLUDE_DIR}"
          INTERFACE_INCLUDE_DIRECTORIES "${difflib_INCLUDE_DIR}"
  )
endif()
