#!/bin/bash

if [[ -z "$OrbbecSDK_v2_PATH" ]]; then
  echo "The environment variable '\$OrbbecSDK_v2_PATH' is not set or empty.  It should have been set by the " \
       "OrbbecSDK v2 module 'deps/orbbec_sdk_v2/sdk'.  Ensure that this module was added to your workspace and " \
       "set up before running this script."
  exit 1
fi

source_path="$OrbbecSDK_v2_PATH/scripts/env_setup/99-obsensor-libusb.rules"
destination_path="/etc/udev/rules.d/99-obsensor-libusb.rules"

dry_run=true
with_sudo=true
_axii_install_file "$source_path" "$destination_path" "OrbbecSDK v2 udev rules" $dry_run $with_sudo

if _axii_prompt_yn "Is this okay?" "n"; then
  _axii_acquire_sudo

  dry_run=false
  _axii_install_file "$source_path" "$destination_path" "OrbbecSDK v2 udev rules" $dry_run $with_sudo
  echo "Reload udev rules"
  udevadm control --reload
  udevadm trigger
else
  echo "OrbbecSDK v2 udev rules udev rules not installed."
  exit 1
fi
