# - Try to find qwt
# Once done this will define
#
#  qwt_FOUND - qwt found
#  qwt_VERSION - qwt version
#  qwt_INCLUDE_DIR - qwt include directory
#  qwt_LIBRARIES - qwt libraries
#  qwt::qwt - Target
#

if(NOT "$ENV{qwt_DIR}" EQUAL "")
    set(qwt_DIR $ENV{qwt_DIR} CACHE PATH "Path to qwt" FORCE)
endif()

set(qwt_VERSION 6.2.0)

# if qwt is used from build, all headers are scattered around
# find all of them and add them to qwt_INCLUDE_DIR
find_path(qwt_INCLUDE_DIR
    NAMES
        qwt.h
    PATHS
        ${qwt_DIR}/include/
    NO_DEFAULT_PATH
)

find_library(qwt_LIBRARY
             NAMES
                qwt
             PATHS
                ${qwt_DIR}/lib/install
                ${qwt_DIR}/lib
)

# message(STATUS "qwt_DIR: ${qwt_DIR}")
# message(STATUS "qwt Include: ${qwt_INCLUDE_DIR}")
# message(STATUS "qwt Library: ${qwt_LIBRARY}")

set(qwt_LIBRARIES ${qwt_LIBRARY})
set(qwt_INCLUDE_DIRS ${qwt_INCLUDE_DIR})

if (NOT TARGET qwt::qwt)
  add_library(qwt::qwt UNKNOWN IMPORTED)

  set_target_properties(qwt::qwt
      PROPERTIES
          IMPORTED_LINK_INTERFACE_LANGUAGES "CXX"
          IMPORTED_LOCATION "${qwt_LIBRARY}"
          INTERFACE_INCLUDE_DIRECTORIES "${qwt_INCLUDE_DIR}"
          INTERFACE_LINK_LIBRARIES "${qwt_LIBRARY}"
  )
endif()


include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(qwt
    REQUIRED_VARS
        qwt_INCLUDE_DIR
        qwt_LIBRARIES
    VERSION_VAR
        qwt_VERSION
)
set(qwt_FOUND ${QWT_FOUND})

mark_as_advanced(qwt_VERSION qwt_INCLUDE_DIR qwt_LIBRARIES)
