# CI/CD Engineer's Documentation

Documentation for CI/CD engineers or downstream maintainers setting up a CI pipeline for their 
project using an Axii Docker image.

[[_TOC_]]

---


## Local Debugging in Docker

### Prerequisites

Install and setup Docker on your host machine: [Guide](https://docs.docker.com/desktop/install/linux-install/)

### Create Axii Docker Image

Build a new Axii Docker image in your local Axii repo:

```shell
$ cd $_AXII_INSTALL_DIR  # cd into Axii's root dir.
# For a bionic image:
$ docker build -t axii --file docker/bionic .
# For a jammy image:
$ docker build -t axii --file docker/jammy .
```

### Create Container

Create a new container and run bash in it:

```shell
$ docker run -it axii /bin/bash
```

Here you can now use `axii` to setup a new workspace and test your pipelines locally. 

### Working With Containers

#### Detach Current Container

To detach a container you are currently running, press <kbd>Ctrl</kbd>+<kbd>P</kbd> followed by
<kbd>Ctrl</kbd>+<kbd>Q</kbd>.

#### List Containers

```shell
$ docker container list
CONTAINER ID   IMAGE     COMMAND       CREATED      STATUS      PORTS     NAMES
deadbeefdeaf   axii      "/bin/bash"   2 days ago   Up 2 days             distracted_khayyam
```

#### Attach Container

```shell
$ docker attach <ID>
```

You can get the ID from the containers list (see above, e.g. `deadbeefdeaf`).

#### Exit Container

To exit a container, press <kbd>Ctrl</kbd>+<kbd>D</kbd> or enter "exit" in bash.
